const GREEN_COLOR = '#00ff00';

export default class ClaraSelection {

  highlighter = null;
  selectionSet = null;

  constructor(claraApi) {
    this.claraApi = claraApi;
  }

  activateHighlighting = () => {
    this.selectionSet = this.claraApi.selection.createSelectionSet();
    this.highlighter = this.claraApi.selection.setHighlighting(true);
    this.highlighter.setSelectionSet(this.selectionSet);
    this.highlighter.setColor(GREEN_COLOR);
    this.highlighter.setThickness(1);
  };

  enableClickToSelect = (onSelectNode = () => {}) => {
    this.claraApi.player.addTool({
      click: (event) => {
        const nodes = this.claraApi.player.filterNodesFromPosition(event);
        onSelectNode(event, nodes);
      }
    }, 'FindNode');
  };

  setHighlightColor = (color) => this.highlighter.setColor(color);

  setHighlightThickness = (thickness) => this.highlighter.setThickness(thickness);

  add = (nodeId) => this.selectionSet.add(nodeId);

  remove = (nodeId) => this.selectionSet.remove(nodeId);

  clear = () => this.selectionSet.clear();

  destroy = () => this.selectionSet.destroy();

}
