export default class ClaraSnapshot {
  claraApi = null;

  constructor(claraApi) {
    this.claraApi = claraApi;
  }

  downloadFile = (cameraName) => this.runSnapshot('image', cameraName);

  getDataUrlImage = (cameraName) => this.runSnapshot('dataURL', cameraName);

  getBlobImage = (cameraName) => this.runSnapshot('blob', cameraName);

  runSnapshot = (dataType, cameraName = null) => {
    const options = {
      dataType,
      width: 1024,
      height: 1024,
      camera: cameraName
    };
    this.claraApi.commands.setCommandOptions('snapshot', options);
    return this.claraApi.commands.runCommand('snapshot');
  }
}
